Skip to main content
GET
/
api
/
product-types
/
search
Search Product Types
curl --request GET \
  --url https://api.merchantops.ai/api/product-types/search
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "name": "<string>",
      "category_key": "<string>",
      "createdAt": "<string>",
      "createdBy": "<string>",
      "description": [
        {}
      ],
      "isActive": true,
      "is_system": false,
      "lastModifiedAt": "<string>",
      "lastModifiedBy": "<string>",
      "propertyCount": 0,
      "propertyKeys": [
        "<string>"
      ]
    }
  ],
  "query": "<string>",
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

q
string
required

Search query

limit
integer
default:20

Maximum results

Required range: 1 <= x <= 100

Cookies

stytch_session
string | null

Response

Successful Response

Response model for search results.

items
ProductTypeResponse · object[]
required
query
string
required
total
integer
required